package CBindings;

// Original function imports
import "BDPI" init_terminal = function Action initTerminal();
import "BDPI" restore_terminal = function Action restoreTerminal();
import "BDPI" get_char_from_terminal = function Bit#(8) getCharFromTerminal();
import "BDPI" is_char_available = function Int#(32) isCharAvailable();
import "BDPI" write_char_to_terminal = function Action writeCharToTerminal(Bit#(8) chr);
import "BDPI" setup_sigint_handler = function Action setupSigintHandler();
import "BDPI" was_ctrl_c_received = function Bool wasCtrlCReceived();

// Aliased exports
export initTerminal;
export restoreTerminal;
export getCharFromTerminal;
export isCharAvailable;
export writeCharToTerminal;
export setupSigintHandler;
export wasCtrlCReceived;

endpackage
